EDIT - task #9227

corrected entry cannot be saved
09/17/2020 05:08 PM - Wolf-Henning Kusber

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version:

Severity: normal

Description

Entry from 1999 is missing the mandatory entry Kind of Unit = Specimen.

Action: Add Editorial note "PhycoBank (17 Sept 2020): The "isotype" from a different gathering should be interpreted as correctable

error for "paratype".
Try to select specimen: Can not be changed because the specimen is associated with multible type designations.

Try to save: The entered data in 1 field is incomplete...

Collection date Field number

Kind Of Unit Collection Access. num. Stable UR

Type Status

Isotype UTGD - Micropa # 126891

Editorial notes

" from a different gathering should be

M Delete Save ® Cancel

p

This is a problem with imported data lacking information that was made mandatory after data import.

History

#1 - 09/21/2020 09:54 AM - Andreas Kohlbecker

- Description updated

#2 - 09/21/2020 09:58 AM - Andreas Kohlbecker

- Status changed from New to Feedback
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- Target version changed from Unassigned CDM tickets to Release 5.18

Could you try fix the type designation in the Taxonomic Editor by adding the missing "Kind of Unit" information?

#3 - 09/21/2020 10:33 AM - Wolf-Henning Kusber
- File picture360-1.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

http:/phycobank.org/7587 (Import of a 1999 published entry)See screen shot

In TaxEDITor the addition was possible.

If this entry is split into Field Unit (FU) and Specimen (spec.) and the Specimen is set to "- Preserved Specimen" (1), why "Specimen" is not
automatically part of the Specimen information and must be entered separately? (2) was entered 21 September 2020 and afterwards correctly

displayed in Vaadin.

We may discuss this in the next meeting.

#4 - 09/22/2020 10:58 AM - Wolf-Henning Kusber
#5 - 09/22/2020 07:38 PM - Wolf-Henning Kusber
- Tracker changed from bug to task

- Status changed from Feedback to Worksforme

Kind of Unit can be added in Vaadin,
http://phycobank.org/7587

if (1) this is the first step before
(2) editing other parts and (3) saving the record (2020-09-22).

The bug report was written because the order (2)->(3) without (1) blockes saving.

#6 - 01/29/2021 10:55 AM - Andreas Kohlbecker
- Target version deleted (Release 5.18)

Files
picture182-1.png 65.1 KB 09/17/2020 Wolf-Henning Kusber
picture360-1.png 58.9 KB 09/21/2020 Wolf-Henning Kusber
